﻿#language: ru

@logistic

Функционал: 021. Logistic. ТСД для склада с ячейками и контролем

Сценарий: 021.1. Logistic. Создание квантов весовой продукции для отбора

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю все элементы таблицы "РегистрСведений.к2КвантыВесовойПродукцииДляОтбора"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Кванты весовой продукции для отбора'
	Тогда открылось окно 'Кванты весовой продукции для отбора'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Кванты весовой продукции для отбора (создание)'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И в поле 'Квант' я ввожу текст '10,000'
	И в поле 'Процент отклонения' я ввожу текст '2'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кванты весовой продукции для отбора (создание) *' в течение 20 секунд
	Тогда открылось окно 'Кванты весовой продукции для отбора'
	И Я закрываю окно 'Кванты весовой продукции для отбора'

Сценарий: 021.2. Logistic. Создание плана отгрузки
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле 'Дата отгрузки' я ввожу текст '30.09.2019'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Собрано'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Вес, кг' я ввожу текст '10,00'
	И в таблице "Товары" в поле 'Мест, м3' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 021.3. Logistic. Создание заказа, плана отгрузки и задания на доставку

	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И в поле 'Дата отгрузки' я ввожу текст '24.09.2019'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" из выпадающего списка "Склад отгрузки" я выбираю по строке 'Склад(ячейки и контроль)'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от *'
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле с именем 'Дата' я ввожу текст '24.09.2019  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'План отгрузки * от *'
	И я нажимаю на кнопку 'Задание на доставку'
	Тогда открылось окно 'Задание на доставку (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'К погрузке'
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'    |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Задание на доставку (создание) *'
	И в поле с именем "Дата" я ввожу текст '24.09.2019  0:00:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Задание на доставку (создание)' в течение 20 секунд
	Тогда открылось окно 'План отгрузки * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказ клиента * от *'
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 021.4. Logistic. Формирование распоряжения на перемещение по типу отбор в АРМе Формирование распоряжений на перемещение по отбору

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Мониторинг отгрузки'
	Тогда открылось окно 'Мониторинг отгрузки'
	И я разворачиваю группу "Отборы"
	И я перехожу к закладке "Отборы"
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '24.09.2019'
	И в поле 'DateEnd' я ввожу текст '24.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Мониторинг отгрузки'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Обновить дерево документов'
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'           | 
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'    |
		| '10,000' | 'В наборку' | 
	И я нажимаю на кнопку 'Печать'
	Тогда открылось окно 'План отгрузки *'
	И Я закрываю окно 'План отгрузки *'
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'           | 
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'     | 
		| '10,000' | 'Набирается' | 
	И в таблице "ТаблицаРаспоряженийНаПеремещение" я нажимаю на кнопку 'Сформировать распоряжения'
	И я жду открытия окна 'Формирование распоряжений на перемещение по отбору: Форма' в течение 20 секунд
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Заполнить'
	И я нажимаю на кнопку 'Создать документы'
	И Я закрываю окно 'Формирование распоряжений на перемещение по отбору: Форма'
	Тогда открылось окно 'Мониторинг отгрузки'
	И Я закрываю окно 'Мониторинг отгрузки'

Сценарий: 021.5. Logistic. Распоряжение на приемку для склада с ячейками

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на приемку (создание)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И в поле с именем 'Дата' я ввожу текст '25.09.2019  0:00:00'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '70,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" из выпадающего списка "Ячейка" я выбираю по строке '1020011'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" из выпадающего списка "Ячейка" я выбираю по строке '1030011'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" из выпадающего списка "Ячейка" я выбираю по строке '1070011'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" из выпадающего списка "Ячейка" я выбираю по строке '1010011'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на приемку'
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 021.6. Logistic. Создание распоряжения на перемещение c типом перемещение для склада с ячейками
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю точное значение 'Перемещение'
	И в поле 'Фактическая дата перемещения' я ввожу текст '25.09.2019  0:00:00'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" я активизирую поле с именем "ТоварыПланНоменклатура"
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1020011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1040011'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я активизирую поле с именем "ТоварыНоменклатура"
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыУпаковка" я выбираю по строке 'кг'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыЯчейкаОтправитель" я выбираю по строке '1020011'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыЯчейкаПолучатель" я выбираю по строке '1040011'
	И я перехожу к закладке "Дополнительно"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.7. Logistic. Создание распоряжения на перемещение c типом отбор в ячейку отгрузки для склада с ячейками - паллетный (документ)
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю точное значение 'Отбор'
	И в поле 'Фактическая дата перемещения' я ввожу текст '25.09.2019  0:00:00'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" я активизирую поле с именем "ТоварыПланНоменклатура"
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1010011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1030011'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на перемещение 6 для склада с ячейками из ячейки в ячейку отгрузки'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.8. Logistic. Создание распоряжения на перемещение c типом отбор в ячейку отгрузки для склада с ячейками - из зоны активного отбора (документ)
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю точное значение 'Отбор'
	И в поле 'Фактическая дата перемещения' я ввожу текст '25.09.2019  0:00:00'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" я активизирую поле с именем "ТоварыПланНоменклатура"
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1070011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1030011'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на перемещение 6 для склада с ячейками из ячейки в ячейку отгрузки'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.9. Logistic. Создание плана распоряжения на перемещение с типом размещение

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю по строке 'Размещение'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1020011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1040011'
	И в таблице "ТоварыПлан" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.10. Logistic. Создание плана распоряжения на перемещение с типом перемещение

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю по строке 'Перемещение'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1040011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1020011'
	И в таблице "ТоварыПлан" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.11. Logistic. Создание плана распоряжения на перемещение с типом пересчет

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю по строке 'Пересчет'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1020011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1010011'
	И в таблице "ТоварыПлан" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.12. Logistic. Создание плана распоряжения на перемещение с типом перемещение на другой склад

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Куриная ГП'
	И из выпадающего списка "Тип перемещения" я выбираю по строке 'Перемещение'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1030011'
	И в таблице "ТоварыПлан" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 021.13. Logistic. Установка для склада ведения учета упак. листов

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Склад(ячейки и контроль)' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад)'
	И я устанавливаю флаг с именем 'ВестиУчетПоТаре'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад Склад(ячейки и контроль) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 021.14. Logistic. Создание упаковочного листа, Меню учетных точек, проверка работы кнопок
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '60,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '60,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной1"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной2"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной3"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной4"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад с ячейками(контр)' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Палетирование'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Палетирование'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку '<упаковочный лист>'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	* Проверка состава ячейки
		И я нажимаю на кнопку 'Проверка состава и местонахождения'
		И в поле 'Штрихкод' я ввожу текст '1020011'
		И я перехожу к следующему реквизиту
		И в таблице "ТоварыДляЗаписи" поле "Номенклатура" имеет значение "Сыр Сулугуни"
		И в таблице "ТоварыДляЗаписи" поле "Характеристика" имеет значение "<Без маркировки>"
		И в таблице "ТоварыДляЗаписи" поле "Серия" имеет значение "000001 до 20.10.2019 0:00:00"
		И в таблице "ТоварыДляЗаписи" поле "Количество" имеет значение "70,000"
		И я нажимаю на кнопку 'Назад'
		И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Размещение'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Размещение'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Выбрать'
	#Проверка остатков в ячейке приемки
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной2"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И в поле 'АдресЯчейкиПодтверждения' я ввожу текст '1040011'
	И я нажимаю на кнопку "ОК"
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И в поле 'АдресЯчейкиПодтверждения' я ввожу текст '1040011'
	И я нажимаю на кнопку "ОК"
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	* Проверка состава и местонахождения паллеты
		И я нажимаю на кнопку 'Проверка состава и местонахождения'
		И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
		И я перехожу к следующему реквизиту
		И у элемента с именем "ДекорацияСостояниеВыполненияСканирования" я жду значения "Паллета * В ячейке 1040011" в течение 20 секунд по шаблону
		И таблица "ТоварыДляЗаписи" стала равной:
			| 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'Количество' |
			| 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '10,000'     |
		И я нажимаю на кнопку 'Назад'
		И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Перемещение'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Перемещение'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу текст '1040011'
	И я перехожу к следующему реквизиту
	#Проверка соответствия номенклатуры 
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной2"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	#Проверка плана/факта 
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаНет'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И в поле 'АдресЯчейкиПодтверждения' я ввожу текст '1020011'
	И я нажимаю на кнопку "ОК"
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу текст '1040011'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И в поле 'АдресЯчейкиПодтверждения' я ввожу текст '1020011'
	И я нажимаю на кнопку "ОК"
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Пересчет'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Пересчет'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу текст '1020011'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной1"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной1"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу текст '1020011'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной1"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной1"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Отбор (паллетный)'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Отбор (паллетный)'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу текст '1020011'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И в поле 'Штрихкод' я ввожу текст '1010011'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу значение переменной 'ИмяПеременной2'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаНет'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Отбор (активный)'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Отбор (активный)'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу текст '1020011'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И в поле 'Штрихкод' я ввожу текст '1070011'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу значение переменной 'ИмяПеременной2'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаНет'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Перемещение между складами'
	И я нажимаю на кнопку с именем 'ВыборСкладаНазад'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение между складами'
	И я нажимаю на кнопку 'Выбор склад получатель'
	И в таблице "Список" я перехожу к строке:
		| 'Ссылка'     |
		| 'Куриная ГП' |
	И я нажимаю на кнопку 'Готово'
	И я нажимаю на кнопку 'Далее'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиКВыборуСкладов'
	И я нажимаю на кнопку 'Далее'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиКВыборуСкладов'
	И я нажимаю на кнопку 'Далее'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Пересчет'
	И я нажимаю на кнопку 'Отмена'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Пересчет'
	И в поле 'АдресЯчейки' я ввожу текст '1020011'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'ОК'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И в поле 'АдресЯчейки' я ввожу текст '1020011'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'ОК'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Блокировка ячейки'
	И я нажимаю на кнопку 'Отмена'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Блокировка ячейки'
	И в поле 'АдресЯчейки' я ввожу текст '1070011'
	И я нажимаю на кнопку 'ОК'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Отгрузка'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Отгрузка'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Отбор'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Отбор'
	И я нажимаю на кнопку с именем 'ЗаданияВверх'
	И я нажимаю на кнопку с именем 'ЗаданияВниз'
	И я нажимаю на кнопку с именем 'ЗаданияОбновить'
	И в таблице "Задания" я перехожу к строке по шаблону:
		| 'Задание представление' |
		| '№ * от 24.09.2019 10'  |
	И я нажимаю на кнопку с именем 'ЗаданияВыбрать'
	И я нажимаю на кнопку с именем 'РаспоряженияНаПеремещениеНазад'
	И в таблице "Задания" я перехожу к строке по шаблону:
		| 'Задание представление' |
		| '№ * от 24.09.2019 10'  |
	И я нажимаю на кнопку с именем 'ЗаданияВыбрать'
	Тогда таблица "РаспоряженияНаПеремещение" стала равной по шаблону:
		| 'Распоряжения'             |
		| '№ * от * 10 К выполнению' |
	И я нажимаю на кнопку с именем 'РаспоряженияНаПеремещениеВверх'
	И я нажимаю на кнопку с именем 'РаспоряженияНаПеремещениеОбновить'
	И я нажимаю на кнопку с именем 'РаспоряженияНаПеремещениеВыбрать'
	Тогда элемент формы с именем "ДекорацияСостояниеВыполненияСканирования" стал равен 'Сканируйте ячейку. (Ячейка сканирования 1040011)'
	Тогда элемент формы с именем "ТекущееКоличествоПлан" стал равен '10'
	Тогда таблица "ТоварыПланФакт" стала равной:
		| 'Номенклатура' | 'Характеристика'   | 'План'   | 'Серия'                        | 'Ячейка'  | 'Факт' |
		| 'Сыр Сулугуни' | '<Без маркировки>' | '10,000' | '000001 до 20.10.2019 0:00:00' | '1040011' | ''     |
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку с именем 'РаспоряженияНаПеремещениеВыбрать'
	Тогда элемент формы с именем "ДекорацияСостояниеВыполненияСканирования" стал равен 'Сканируйте ячейку. (Ячейка сканирования 1040011)'
	Тогда элемент формы с именем "ТекущееКоличествоПлан" стал равен '10'
	Тогда таблица "ТоварыПланФакт" стала равной:
	| 'Номенклатура' | 'Характеристика'   | 'План'   | 'Серия'                        | 'Ячейка'  | 'Факт' |
	| 'Сыр Сулугуни' | '<Без маркировки>' | '10,000' | '000001 до 20.10.2019 0:00:00' | '1040011' | ''     |
	И в поле 'Штрихкод' я ввожу текст '1040011'
	И я перехожу к следующему реквизиту
	#Проверка соответсвия номенклатуры
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной2"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	#Проверка кванта
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	Когда я нажимаю на кнопку 'КомандаОК'
	#Проверка плана/факта
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной4"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаНет'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И в поле 'ШтрихкодУпаковочногоЛиста' я ввожу значение переменной "ИмяПеременной"
	И я нажимаю на кнопку 'ОК'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно ''
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 021.15. Logistic. Завершение

	И Я закрыл все окна клиентского приложения	